Summary:        Perl extension for getting MD5 sums for files and urls
Name:           perl-Digest-MD5
Version:        2.58
Release:        7%{?dist}
License:        (GPL+ or Artistic) and RSA
URL:            https://metacpan.org/release/Digest-MD5
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TODDR/Digest-MD5-%{version}.tar.gz

BuildRequires:  coreutils gcc make
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(strict) perl(warnings) perl(Exporter) perl(XSLoader)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Digest::base) >= 1.00
BuildRequires:  perl(Encode) perl(Test) perl(Test::More) perl(vars) perl(MIME::Base64) perl(threads)
Requires:       perl(XSLoader) perl(Digest::base) >= 1.00

%description
The Digest::MD5 module provide a procedural interface for simple use,
as well as an object oriented interface that can get MD5 sums for files
of a given path or content of a given url.

%prep
%autosetup -n Digest-MD5-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Digest*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.58-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.58-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.58-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.58-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.58-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.58-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 08 2022 ZoeDong <zoedong@tencent.com> - 2.58-1
- Initial build

